package com.ssj.service.conch.teacher.request.zyb;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;
public class ZybStudentListReq extends BaseRequest {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "libId", value = "馆id", required = true)
    private String  libId;
	@ApiModelProperty(name = "studentName", value = "学生姓名")
    private String  studentName;
	@ApiModelProperty(name = "type", value = "查询类型，1签到、2签离", required = true)
	private Integer type;
	@ApiModelProperty(name = "pageNo", value = "页数", required = true)
	private Integer pageNo;
	@ApiModelProperty(name = "pageSize", value = "每页的记录数", required = true)
	private Integer pageSize;
	@ApiModelProperty(name = "maxCreateTime", value = "最大创建时间yyyy-MM-dd HH:mm:ss", required = true)
	private String maxCreateTime;

	public String getLibId() {
		return libId;
	}

	public void setLibId(String libId) {
		this.libId = libId;
	}

	public String getStudentName() {
		return studentName;
	}

	public void setStudentName(String studentName) {
		this.studentName = studentName;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getPageNo() {
		return pageNo;
	}

	public void setPageNo(Integer pageNo) {
		this.pageNo = pageNo;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public String getMaxCreateTime() {
		return maxCreateTime;
	}

	public void setMaxCreateTime(String maxCreateTime) {
		this.maxCreateTime = maxCreateTime;
	}
}
